#pragma once

#include "../message_reporter.h"
#include <yandex/maps/wiki/diffalert/diff_context.h>

namespace maps {
namespace wiki {
namespace diffalert {

void checkMajorFeaturesEditor(const DiffContext&, MessageReporter&);
void checkMajorFeaturesLongTask(const DiffContext&, MessageReporter&);

void checkUrbanAndRoadnetArealChange(const DiffContext&, MessageReporter&);

void checkContourFeatureArea(const DiffContext&, MessageReporter&);

void checkPointHydroRelief(const DiffContext&, MessageReporter&);

void checkNamedFeatures(const DiffContext&, MessageReporter&);

} // namespace diffalert
} // namespace wiki
} // namespace maps
